using Godot;
using System.Reflection;
using System.Collections.Generic;

namespace Rokojori
{ 
  
  [Tool]
  [GlobalClass]
  public partial class StencilLayerReference:StencilReference
  { 
    [Export]
    public StencilLayer layer;

    public override int GetReferenceIndex()
    {
      return RenderingManager.GetStencilReferenceIndex( layer );
    }
  }
}